Bug 219592 - Missing glibc-kernheaders
Missing glibc-kernheaders
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-14 05:17 EST by JW
Modified: 2008-01-06 16:29 EST (History)
0 users

See Also:
Fixed In Version: kernel-headers-2.6.23.12-52.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 16:29:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JW 2006-12-14 05:17:59 EST
Description of problem:
Although a kernel update has been provided (2.6.17-1.2142) there is no matching
glibc-kernheaders update!!!

Version-Release number of selected component (if applicable):
If only there was!

How reproducible:
Always

Steps to Reproduce:
1. ftp download.fedora.redhat.com
2. dir kernel*
3. dir glibc-kernheaders*
  
Actual results:
step 32 above shows nothing

Expected results:
There must be matching included files whenever a kernel is updated.
Otherwise compilation will produce severe inoperability because old headers will
contain structure definitions that are very very wrong.


Additional info:
Surely include files (/usr/include/linux/*) should always be updated at same
time as kernel? After all, the include files are ipso-facto the interface to the
kernel, with glibc being the conduit.  Most kernel updates will probably affect
non-glibc interfaces (eg dvb, v4l, all those file+ioctl interfaces), so it is
reasonable to update kernel, and kernel include files, leaving glibc relatively
stable and unchanged.

It doesn't make any sense to have files like /usr/include/linux/dvb/* somehow
related to glibc via glibc-kernheaders when glibcs has next-to-nothing in the
way of interfaces to dvb.
Comment 1 Christian Iseli 2007-01-19 19:40:50 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Till Maas 2008-01-06 16:29:33 EST
In Fedora 7 there is a matching kernel-headers-2.6.23.12-52.fc7 package for the
kernel.

Note You need to log in before you can comment on or make changes to this bug.